Page MenuHomePhabricator

VisualEditor will retry saving a page forever if the API gives it an invalid token
Closed, ResolvedPublic1 Story Points

Description

VisualEditor will retry saving a page forever if the API gives it an invalid token (for example, due to T163492). Even though this shouldn't happen, this is a poor failure mode.

Event Timeline

matmarex created this task.Apr 20 2017, 7:47 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 20 2017, 7:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Give up after two retries, maybe?

Change 349289 had a related patch set uploaded (by Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.ArticleTarget: Only retry once after a 'badtoken' error

https://gerrit.wikimedia.org/r/349289

Jdforrester-WMF triaged this task as High priority.Apr 21 2017, 12:03 AM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF closed this task as Resolved.Apr 24 2017, 7:40 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 24 2017, 7:40 PM

Change 349289 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.mw.ArticleTarget: Only retry once after a 'badtoken' error

https://gerrit.wikimedia.org/r/349289